Subject: Re: bug#46781: read-file-name-completion-ignore-case: who would still be looking for m when they typed M?

From: Eli Zaretskii <[email-masked]>
Date: Fri, 26 Feb 2021 08:46:29 +0200

> From: 積丹尼 Dan Jacobson
>  <[email-masked]>
> Date: Fri, 26 Feb 2021 01:32:04 +0800
> 
> Today let's talk about
> read-file-name-completion-ignore-case .
> (info "(emacs) Completion Options")
> 
> Well just like for search, if we type "m" we probably are looking for
> both "M" and "m", but if we go through all the trouble of holding down
> the SHIFT button to type "M" then we certainly are only looking for "M"
> and would be out of our mind to also be looking for "m". (Or "into pain,
> a pain freak.") Therefore read-file-name-completion-ignore-case needs
> more options than just t and nil.
> 
> E.g., I have Makefile and murmurfile. Well if I set
> read-file-name-completion-ignore-case to nil and type M TAB then of course I
> am only wanting to complete Makefile.

Did you actually see what happens when you set this variable non-nil
and try this?  If not, please do; if you did, and the result was not
what you expected, please show the details: what you types, which
files are there on disk, and what completion candidates were
suggested.

Because AFAIK Emacs already does what you want it to do in these
cases, without needing any additional values for this option.